<%= form_for(@order) do |f| %>
  <% if @order.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@order.errors.count, "error") %> 
      prohibited this order from being saved:</h2>

      <ul>
        <% @order.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :name %><br />
    <%= f.text_field :name, size: 40 %>
  </div>

  <div class="field">
    <%= f.label :address %><br />
    <%= f.text_area :address, rows: 3, cols: 40 %>
  </div>

  <div class="field">
    <%= f.label :email %>
    <%= f.email_field :email, size: 40 %>
  </div>

  <div class="field">
    <%= f.label :pay_type %><br />
    <%= f.select :pay_type, Order::PAYMENT_TYPES,
        prompt: 'Select a payment method' %>
  </div>

  <div class="actions">
    <%= f.submit 'Place Order' %>
  </div>
<% end %>